import javax.swing.*;
import java.awt.event.*;
public class MarathonApp
{
	JLabel label = new JLabel("It just keeps going, and going...");
	JFrame frame = new JFrame("MarathonApp Example");
	
	public MarathonApp () 
	{
		frame.getContentPane().add(label);
		frame.setSize(300,100);
		frame.setVisible(true);
		frame.addWindowListener(
			new WindowAdapter()
			{
				public void windowClosing(WindowEvent e)
				{
		   			System.exit(0);
				}
			}
		);
	}
	
	public static void main(String args[]) 
	{
		MarathonApp app = new MarathonApp();
	}
}
